Bug 41450 - False icons after high-contrast disabling.
Summary: False icons after high-contrast disabling.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.5.0 RC1
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 56814 (view as bug list)
Depends on:
Blocks: High-Contrast
  Show dependency treegraph
 
Reported: 2011-10-04 07:04 UTC by Florian Reisinger
Modified: 2019-05-14 02:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Part of the Bug description. (19.90 KB, image/jpeg)
2011-10-04 07:04 UTC, Florian Reisinger
Details
First restart (First screenshot in comment 2) (62.49 KB, image/jpeg)
2011-10-04 22:58 UTC, Florian Reisinger
Details
Second restart (Second screenshot in comment 2) (20.57 KB, image/jpeg)
2011-10-04 22:59 UTC, Florian Reisinger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Reisinger 2011-10-04 07:04:52 UTC
Created attachment 51958 [details]
Part of the Bug description.

After testing this bug ( https://bugs.freedesktop.org/show_bug.cgi?id=41440 ) I turned highcolour off again and restarted LibreOffice (not Windows 7 64-Bit) and opened Calc. In the picture you can see the "wrong" icons. Again with LibO 3.4.3 Build:302...
Comment 1 Rainer Bielefeld Retired 2011-10-04 08:21:04 UTC
@Florian Reisinger:
Your screenshot shows LibO High Contrast Theme, what's different to WIN High Contrast setting from "Bug 41440 - ACCESSIBILITY: Start Center Texts invisible ..."

Can you please describe your proceeding more detailed similar to "Bug 38305 - Symbols in status bar do not follow new Theme in opened document"? And what WIN do you use?
Comment 2 Florian Reisinger 2011-10-04 22:57:31 UTC
(In reply to comment #1)

> Can you please describe your proceeding more detailed similar to "Bug 38305 -
> Symbols in status bar do not follow new Theme in opened document"? And what WIN
> do you use?

Win7 64-Bit (6.1.7601)

I can only describe it in German:
1. Systemsteuerung
2. Erleichterte Bedienung
3. Visuelle Darstellung optimieren
Systemsteuerung\Erleichterte Bedienung\Center für erleichterte Bedienung\Erkennen von Bildschirmobjekten erleichtern ==> Link
4. Press Alt + left shift + print
(LibreOffice English)

From this time on LibreOffice got stuck at the high-contrast - theme --> also after a Windows restart... and after this comment, I will attach a funny screenshot ==> LibreOffice is rather bad damaged (Screenshots)

In the German UI (which seems to be the Englishh one, till I restart LibreOffice the third time...) I can select the icon size and Style in LibreOffice --> View(Ansicht) and I can set the style to automatic (Tango). After this it is OK, except the status bar icons, they are still the same. After another restart everything is okay...
Comment 3 Florian Reisinger 2011-10-04 22:58:29 UTC
Created attachment 51989 [details]
First restart (First screenshot in comment 2)
Comment 4 Florian Reisinger 2011-10-04 22:59:01 UTC
Created attachment 51990 [details]
Second restart (Second screenshot in comment 2)
Comment 5 Rainer Bielefeld Retired 2011-10-09 05:49:40 UTC
Currently my LibO carashes too often when I try to deactivate 'Recognition of screen objects'  by <Alt+left shift +print> a second time.
Comment 6 Björn Michaelsen 2011-12-23 12:33:58 UTC Comment hidden (obsolete)
Comment 7 Christophe Strobbe 2012-01-27 04:44:26 UTC
Version info was previously LibO 3.4.3. I confirm that this bug still exists in LibreOffice 3.5.0 RC1 on Windows XP SP3: after enabling High Contrast #1 (then open and close LibreOffice) and then switching back to the Windows Classic theme, LibreOffice still has the High Contrast UI enabled (see Tools > Options > View). After switching the LibO UI back to Tango, the icons are still high-contrast on the Navigator but not on the toolbars above the editing area. After closing and restarting LibO the icons are OK. 
Changing the status from NEEDINFO to NEW.
Comment 8 bfoman (inactive) 2012-11-06 20:38:00 UTC
*** Bug 56814 has been marked as a duplicate of this bug. ***
Comment 9 QA Administrators 2015-01-05 17:51:20 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2016-02-21 08:35:16 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   Test to see if the bug is still present on a currently supported version of LibreOffice 
   (5.0.5 or 5.1.0)  https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and 
   your operating system, and any changes you see in the bug behavior
 
   If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
   a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   Update the version field
   Reply via email (please reply directly on the bug tracker)
   Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
   appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-02-21
Comment 11 QA Administrators 2019-05-14 02:55:51 UTC
Dear Florian Reisinger,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug